Bug 573254 - [abrt] crash in rednotebook-0.9.0-1.fc12: redNotebook.py:392:exit:RuntimeError: called outside of a mainloop
Summary: [abrt] crash in rednotebook-0.9.0-1.fc12: redNotebook.py:392:exit:RuntimeErro...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rednotebook
Version: 12
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:6fe282c1
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-13 18:46 UTC by Samuel
Modified: 2010-03-30 02:08 UTC (History)
2 users (show)

Fixed In Version: rednotebook-0.9.3-1.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-30 02:08:44 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (669 bytes, text/plain)
2010-03-13 18:46 UTC, Samuel
no flags Details

Description Samuel 2010-03-13 18:46:48 UTC
abrt 1.0.8 detected a crash.

architecture: i686
cmdline: /usr/bin/python /usr/bin/rednotebook
component: rednotebook
executable: /usr/bin/rednotebook
kernel: 2.6.32.8-58.fc12.i686.PAE
package: rednotebook-0.9.0-1.fc12
reason: redNotebook.py:392:exit:RuntimeError: called outside of a mainloop
release: Fedora release 12 (Constantine)

backtrace
-----
redNotebook.py:392:exit:RuntimeError: called outside of a mainloop

Traceback (most recent call last):
  File "/usr/bin/rednotebook", line 12, in <module>
    rednotebook.redNotebook.main()
  File "/usr/lib/python2.6/site-packages/rednotebook/redNotebook.py", line 1003, in main
    gtk.main()
  File "/usr/lib/python2.6/site-packages/rednotebook/util/utils.py", line 191, in signal_handler
    redNotebook.exit()
  File "/usr/lib/python2.6/site-packages/rednotebook/redNotebook.py", line 392, in exit
    gtk.main_quit()
RuntimeError: called outside of a mainloop

Local variables in innermost frame:
self: <rednotebook.redNotebook.RedNotebook instance at 0xb7723fec>

Comment 1 Samuel 2010-03-13 18:46:50 UTC
Created attachment 399877 [details]
File: backtrace

Comment 2 Fedora Update System 2010-03-28 10:54:41 UTC
rednotebook-0.9.3-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/rednotebook-0.9.3-1.fc12

Comment 3 Fedora Update System 2010-03-30 02:08:40 UTC
rednotebook-0.9.3-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.